Sign inGet started

Routing Queues

GET
/workspaces/{workspaceId}/inbox/routing-queues
Retrieve list of routing queues
Abfrageparameter
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Antwort-Payload
results
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.id
string
erforderlich
results.workspaceId
string
erforderlich
results.name
string
erforderlich
results.description
string
erforderlich
results.priority
integer
erforderlich
results.teams
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.teams.type
string
erforderlich
Type of the team
Possible values: primary, secondary
results.teams.ids
array of string
erforderlich
List of Team IDs
results.queuedItems
object
Untergeordnete Attribute anzeigen
results.queuedItems.email
array of object
Untergeordnete Attribute anzeigen
results.queuedItems.email.rootItemId
string
erforderlich
results.queuedItems.email.capacityType
string
erforderlich
results.queuedItems.email.QueuedAt
string
erforderlich
results.queuedItems.messaging
array of object
Untergeordnete Attribute anzeigen
results.queuedItems.messaging.rootItemId
string
erforderlich
results.queuedItems.messaging.capacityType
string
erforderlich
results.queuedItems.messaging.QueuedAt
string
erforderlich
results.queuedItems.voice
array of object
Untergeordnete Attribute anzeigen
results.queuedItems.voice.rootItemId
string
erforderlich
results.queuedItems.voice.capacityType
string
erforderlich
results.queuedItems.voice.QueuedAt
string
erforderlich
results.createdAt
string
results.updatedAt
string
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
total
integer
The total number of results across all pages.
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/routing-queues' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/inbox/routing-queues
Create a new routing queue
Anfrage-Payload
name
string
erforderlich
description
string
priority
integer
erforderlich
teams
array of object
erforderlich
Untergeordnete Parameter anzeigen
teams.type
string
erforderlich
Type of the team
Possible values: primary, secondary
teams.ids
array of string
erforderlich
List of Team IDs
Antwort-Payload
id
string
erforderlich
workspaceId
string
erforderlich
name
string
erforderlich
description
string
erforderlich
priority
integer
erforderlich
teams
array of object
erforderlich
Untergeordnete Attribute anzeigen
teams.type
string
erforderlich
Type of the team
Possible values: primary, secondary
teams.ids
array of string
erforderlich
List of Team IDs
queuedItems
object
Untergeordnete Attribute anzeigen
queuedItems.email
array of object
Untergeordnete Attribute anzeigen
queuedItems.email.rootItemId
string
erforderlich
queuedItems.email.capacityType
string
erforderlich
queuedItems.email.QueuedAt
string
erforderlich
queuedItems.messaging
array of object
Untergeordnete Attribute anzeigen
queuedItems.messaging.rootItemId
string
erforderlich
queuedItems.messaging.capacityType
string
erforderlich
queuedItems.messaging.QueuedAt
string
erforderlich
queuedItems.voice
array of object
Untergeordnete Attribute anzeigen
queuedItems.voice.rootItemId
string
erforderlich
queuedItems.voice.capacityType
string
erforderlich
queuedItems.voice.QueuedAt
string
erforderlich
createdAt
string
updatedAt
string
Codebeispiel
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/routing-queues' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/inbox/routing-queues/{routingQueueId}
Retrieves Routing queue.
Antwort-Payload
id
string
erforderlich
workspaceId
string
erforderlich
name
string
erforderlich
description
string
erforderlich
priority
integer
erforderlich
teams
array of object
erforderlich
Untergeordnete Attribute anzeigen
teams.type
string
erforderlich
Type of the team
Possible values: primary, secondary
teams.ids
array of string
erforderlich
List of Team IDs
queuedItems
object
Untergeordnete Attribute anzeigen
queuedItems.email
array of object
Untergeordnete Attribute anzeigen
queuedItems.email.rootItemId
string
erforderlich
queuedItems.email.capacityType
string
erforderlich
queuedItems.email.QueuedAt
string
erforderlich
queuedItems.messaging
array of object
Untergeordnete Attribute anzeigen
queuedItems.messaging.rootItemId
string
erforderlich
queuedItems.messaging.capacityType
string
erforderlich
queuedItems.messaging.QueuedAt
string
erforderlich
queuedItems.voice
array of object
Untergeordnete Attribute anzeigen
queuedItems.voice.rootItemId
string
erforderlich
queuedItems.voice.capacityType
string
erforderlich
queuedItems.voice.QueuedAt
string
erforderlich
createdAt
string
updatedAt
string
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/routing-queues/{routingQueueId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/routing-queues/{routingQueueId}
Modify the details of a specific routing queue.
Anfrage-Payload
name
string
description
string
priority
integer
teams
array of object
Untergeordnete Parameter anzeigen
teams.type
string
erforderlich
Type of the team
Possible values: primary, secondary
teams.ids
array of string
erforderlich
List of Team IDs
Antwort-Payload
id
string
erforderlich
workspaceId
string
erforderlich
name
string
erforderlich
description
string
erforderlich
priority
integer
erforderlich
teams
array of object
erforderlich
Untergeordnete Attribute anzeigen
teams.type
string
erforderlich
Type of the team
Possible values: primary, secondary
teams.ids
array of string
erforderlich
List of Team IDs
queuedItems
object
Untergeordnete Attribute anzeigen
queuedItems.email
array of object
Untergeordnete Attribute anzeigen
queuedItems.email.rootItemId
string
erforderlich
queuedItems.email.capacityType
string
erforderlich
queuedItems.email.QueuedAt
string
erforderlich
queuedItems.messaging
array of object
Untergeordnete Attribute anzeigen
queuedItems.messaging.rootItemId
string
erforderlich
queuedItems.messaging.capacityType
string
erforderlich
queuedItems.messaging.QueuedAt
string
erforderlich
queuedItems.voice
array of object
Untergeordnete Attribute anzeigen
queuedItems.voice.rootItemId
string
erforderlich
queuedItems.voice.capacityType
string
erforderlich
queuedItems.voice.QueuedAt
string
erforderlich
createdAt
string
updatedAt
string
Codebeispiel
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/routing-queues/{routingQueueId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/inbox/routing-queues/{routingQueueId}
Delete a Routing queue. Items on the queue will be un-queued, then queue will be deleted.
Codebeispiel
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/routing-queues/{routingQueueId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'